# Class UnsolicitedNotificationEvent

java.lang.Object
java.util.EventObject
javax.naming.ldap.UnsolicitedNotificationEvent

All Implemented Interfaces:
  `Serializable`

public class UnsolicitedNotificationEvent extends EventObject
This class represents an event fired in response to an unsolicited notification sent by the LDAP server.

Since:
  1.3
See Also:
  - `UnsolicitedNotification`
  - `UnsolicitedNotificationListener`
  - `EventContext.addNamingListener(Name, int, NamingListener)`
  - `EventDirContext.addNamingListener(Name, String, SearchControls, NamingListener)`
  - `EventContext.removeNamingListener(NamingListener)`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`UnsolicitedNotificationEvent(Object src, UnsolicitedNotification notice)`
Constructs a new instance of `UnsolicitedNotificationEvent`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispatch(UnsolicitedNotificationListener listener)`
Invokes the `notificationReceived()` method on a listener using this event.
`UnsolicitedNotification`
`getNotification()`
Returns the unsolicited notification.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### UnsolicitedNotificationEvent

public UnsolicitedNotificationEvent(Object src, UnsolicitedNotification notice)
Constructs a new instance of `UnsolicitedNotificationEvent`.

Parameters:
  `src` - The non-null source that fired the event.
  `notice` - The non-null unsolicited notification.

## Method Details

### getNotification

public UnsolicitedNotification getNotification()
Returns the unsolicited notification.

Returns:
  The non-null unsolicited notification that caused this event to be fired.

### dispatch

public void dispatch(UnsolicitedNotificationListener listener)
Invokes the `notificationReceived()` method on a listener using this event.

Parameters:
  `listener` - The non-null listener on which to invoke `notificationReceived`.